function [u,x,K,p,v,G,g]=det_opt_control(T,W,F,Lambda,x_target,u_target,A,B,c,x_0)
%deterministicke optimalni rizeni lin. systemu
%       x_t+1=A*x_t + B*u_t + c_t
%vzhledem ke kvadraticke ztratove funkci
%      1/2*[x_T-x_target]'*W*[x_T-x_target] + sum_j=0^T-1(1/2*[x_j-x_target]'*W*[x_j-x_target] + 
%       [x_j-x_target]'*F*[u_j-u_target] +
%      1/2*[u_j-u_target]'*Lambda*[u_j-u_target])
%
% x_0 je pocatecni stav systemu
%
%output: u,x.....hodnoty vektoru rizeni a stavoveho vektoru
%        K,p,v...viz prednaska




nx=length(x_0); %pocet slozek stavoveho vektoru
nu=size(B,2); %pocet slozek ridiciho vektoru

w=; %linearni slozka ztratove funkce u vektoru x v obdobi 0,...,T-1
lambda=; %linearni slozka ztratove funkce u vektoru u v obdobi 0,...,T-1
J_konst=; %konstantni slozka ztratove funkce v obdobi 0,...,T-1


if T<0
    error('no periods ahead for Certainty-equivalence optimal control')
%vetev pro pripad, kdy pocet obdobi do konce rizeni je roven 0
elseif T==0
    K=nan(nx,nx,1);
    p=nan(nx,1);
    v=nan;

    K(:,:,1)=W;
    p(:,1)=-W*x_target;
    v=0.5*x_target'*W*x_target;
    
    G=nan(nu,nx,1);
    g=nan(nu,1);
    
    u(:,1)=nan(nu,1);
    x(:,1)=x_0;
%vetev pro pripad, kdy pocet obdobi do konce rizeni je vetsi nez 0    
else

    %inicializace matic
    G=nan(nu,nx,T);
    g=nan(nu,T);
    K=nan(nx,nx,T);
    p=nan(nx,T);
    v=nan(1,T);
    
    %zbytek doplnit

    
   
end

